Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Clamp - RG350859

Description

This block applies both a positive and a negative clamp on its input.  It has a single output.

If the positive clamp (max) is less than the negative clamp (min), the output will be equal to the positive clamp.

All of the inputs are persistent.

Parameters

Input	Input to the block.  Expects a value (-100% to +100%).

Positive Clamp	Positive clamp input to the block.  Expects a value (-100% to +100%).

Negative Clamp	Negative clamp input to the block.  Expects a value (-100% to +100%).

Get Output	Returns the current value of the output:  -100% to +100%.

Get Pos Clamp	Returns the current value of the positive clamp:  -100% to +100%.

Get Neg Clamp	Returns the current value of the negative clamp:  -100% to +100%.


Description

This block applies both a positive and a negative clamp on its input.  It has a single output.

If the positive clamp is less than the negative clamp, the output will be equal to the positive clamp.

All of the inputs are persistent.


Parameters

Input	Input to the block.  Expects a value (-100% to +100%).

Positive Clamp	Positive clamp input to the block.  Expects a value (-100% to +100%).

Negative Clamp	Negative clamp input to the block.  Expects a value (-100% to +100%).

Get Output	Returns the current value of the output:  -100% to +100%.

Get Pos Clamp	Returns the current value of the positive clamp:  -100% to +100%.

Get Neg Clamp	Returns the current value of the negative clamp:  -100% to +100%.